Imports System.Text
Imports System.Text.RegularExpressions
Imports System.Net
Imports System.IO

Module ModHTML
    Public Function RemoveWhiteSpaces(ByVal strHTML As String)
        strHTML = Replace(strHTML, vbCrLf, "")
        strHTML = Replace(strHTML, vbCr, "")
        strHTML = Replace(strHTML, vbLf, "")
        strHTML = Replace(strHTML, vbTab, "")

        Return strHTML
    End Function

    Public Function GetByRegex(ByVal pattern As String, ByVal input As String, ByVal groupname As String) As String
        Dim regexOptions As RegexOptions = regexOptions.Singleline
        Dim value As String = ""

        Dim regex As New Regex(pattern, regexOptions)

        Dim match As Match = regex.Match(input)
        If match.Success Then
            value = match.Groups(groupname).Value
        End If
        Return (value)
    End Function

    Public Function RemoveExtraSpaces(ByVal str As String) As String
        Dim r As Regex = New Regex("\s+")

        str = r.Replace(str, " ")
        Return str
    End Function

    Public Sub DropHtmlTags(ByRef html As String)
        html = Regex.Replace(html, "<.*?>", String.Empty, RegexOptions.IgnoreCase Or RegexOptions.Singleline)
    End Sub
End Module
